be.fgov.ehealth.mycarenet.commons.protocol.v2

## Class ResponseReturnType

- java.lang.Object
- - be.fgov.ehealth.mycarenet.commons.protocol.v2.ResponseReturnType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:27:59+02:00",
                 comments="JAXB RI v2.3.7")
      public class ResponseReturnType
      extends Object
      implements Serializable

  Describes the business output of NIP-PIN services.

  Java class for ResponseReturnType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponseReturnType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CommonOutput" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}CommonOutputType"/>
               <element name="Detail" type="{urn:be:fgov:ehealth:mycarenet:commons:core:v2}BlobType"/>
               <element name="XadesT" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseReturnType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommonOutputType` | `getCommonOutput()` Gets the value of the commonOutput property.
    `BlobType` | `getDetail()` Gets the value of the detail property.
    `Base64Binary` | `getXadesT()` Gets the value of the xadesT property.
    `void` | `setCommonOutput(CommonOutputType value)` Sets the value of the commonOutput property.
    `void` | `setDetail(BlobType value)` Sets the value of the detail property.
    `void` | `setXadesT(Base64Binary value)` Sets the value of the xadesT property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseReturnType

          public ResponseReturnType()

  - ### Method Detail

    - #### getCommonOutput

          public CommonOutputType getCommonOutput()

      Gets the value of the commonOutput property.
      Returns:
        possible object is `CommonOutputType`

    - #### setCommonOutput

          public void setCommonOutput(CommonOutputType value)

      Sets the value of the commonOutput property.
      Parameters:
        `value` - allowed object is `CommonOutputType`

    - #### getDetail

          public BlobType getDetail()

      Gets the value of the detail property.
      Returns:
        possible object is `BlobType`

    - #### setDetail

          public void setDetail(BlobType value)

      Sets the value of the detail property.
      Parameters:
        `value` - allowed object is `BlobType`

    - #### getXadesT

          public Base64Binary getXadesT()

      Gets the value of the xadesT property.
      Returns:
        possible object is `Base64Binary`

    - #### setXadesT

          public void setXadesT(Base64Binary value)

      Sets the value of the xadesT property.
      Parameters:
        `value` - allowed object is `Base64Binary`

Connector Packaging PERSLOGOPEDIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.